@CLS
@REM  INSTALL(S).BAT V 1.08
@ECHO 
@ECHO  ͻ
@ECHO                            Print-Format Installation                         
@ECHO  ͹
@ECHO   LICENSE: By continuing and installing the software you agree to be bound   
@ECHO   by the terms in the license agreement in the file LICENSE.TXT.             
@ECHO  ͹
@ECHO   DESTINATION: Installs Print-Format from the current disk and directory to  
@ECHO   C:\PF. If you like to change the destination directory, it is recommended  
@ECHO   that you install the application to C:\PF and move it afterwards.          
@ECHO  ͹
@ECHO   INSTALLED FILES: The Print-Format installation creates the directory C:\PF 
@ECHO   and a few subdirectories and copies files into them. No other part of your 
@ECHO   file system is affected, unless you explicitly take further steps like     
@ECHO   creating a program group/running registry scripts. See README.TXT for more.
@ECHO  ͹
@ECHO   DISK SPACE: To be on the save side, the installation requires approxima-   
@ECHO   tely 2.4 MB free disk space (assuming a cluster size of 16 KB).            
@ECHO  ͹
@ECHO   UNINSTALLATION: To uninstall Print-Format, simply delete the directory     
@ECHO   C:\PF with all files and subdirectories or use the file UNINSTAL.BAT.      
@ECHO  ͹
@ECHO                  Press [Return] to continue, Ctrl+C to abort.                
@ECHO  ͼ
@ECHO 
@PAUSE > NUL:
@ECHO 
@ECHO  ͻ
@ECHO   NOTE: In rare cases, problems may occur when creating the country specific 
@ECHO   upcase table (step PFISI 040). In this case, please run the installation   
@ECHO   again. If the problem persists, try to quit Windows before running the     
@ECHO   the installation or boot Windows in the safe mode.                         
@ECHO  ͹
@ECHO                  Press [Return] to continue, Ctrl+C to abort.                
@ECHO  ͼ
@ECHO 
@PAUSE > NUL:
@ECHO PFISI 010: Creating directory C:\PF
@MD C:\PF
@IF NOT EXIST C:\PF\*.* GOTO OK1
@ECHO  ͻ
@ECHO   WARNING: The destination directory C:\PF already contains files!           
@ECHO                                                                              
@ECHO   If you do not want to overwrite the existing files, you should make a      
@ECHO   backup copy before continuing.                                             
@ECHO                                                                              
@ECHO   Note: This message may also be displayed due to a problem in Windows NT's  
@ECHO         DOS box even if C:\PF is empty.                                      
@ECHO  ͹
@ECHO                  Press [Return] to continue, Ctrl+C to abort.                
@ECHO  ͼ
@ECHO 
@PAUSE > NUL:
:OK1
@ECHO PFISI 020: Unpacking Print-Format archive to C:\PF...
@IF EXIST PF_ZIP.EXE GOTO EXE_ARC
@PKUNZIP -o -d PF.ZIP C:\PF
@GOTO OK2
:EXE_ARC
PF_ZIP.EXE -o -d C:\PF
:OK2
@ECHO 
@ECHO PFISI 030: Changing to C:\PF
@C:
@CD \PF
@ECHO 
@ECHO PFISI 040: Creating country-specific uppercase conversion table...
@REM
@PF_SYSTB.EXE
@ECHO 
@REM
@IF ERRORLEVEL 0 GOTO OK3
@ECHO 
@ECHO PFISE 041: Error creating country-specific uppercase conversion table.
@ECHO 
@PAUSE > NUL:
:OK3
@ECHO 
@ECHO PFISI 050:  Version information:
@TYPE DOC\PF_VERS.TXT
@ECHO 
@ECHO PFISI 060: Press any key to continue.
@PAUSE > NUL:
@ECHO 
@ECHO  ͻ
@ECHO                             Important information:                           
@ECHO  ͹
@ECHO   MEMORY REQUIREMENTS: To run PF.EXE, you will need approximately 256 KB of  
@ECHO   free XMS or approx. 256 KB of free EMS memory or a hard disk cache program 
@ECHO   instead, otherwise the execution will be slowed down.                      
@ECHO  ͹
@ECHO   XMS: If you repeatedly experience problems when starting PF.EXE, especial- 
@ECHO   ly when XMS memory is insufficient, start PF.EXE with the command line     
@ECHO   parameter /X- (do not use XMS).                                            
@ECHO  ͼ
@ECHO 
@ECHO PFISI 061: Press any key to continue.
@PAUSE > NUL:
@ECHO 
@ECHO  ͻ
@ECHO                     Print-Format Installation completed                      
@ECHO  ͹
@ECHO   Start Print-Format under DOS    : PF.EXE                                   
@ECHO                      under Windows: WIN\PF.PIF                               
@ECHO                                                                              
@ECHO   For command line quick help     : PF.EXE /?                                
@ECHO                                                                              
@ECHO   For more information please refer to the file README.TXT. When working     
@ECHO   with Print-Format, you can access the online help at any time by pressing  
@ECHO   the key F1.                                                                
@ECHO  ͹
@ECHO   MOVE DESTINATION: You may move the installed files to another drive or     
@ECHO   directory. If you wish to use the files PF*.BAT, PF*.PIF, ANSI.DSK,        
@ECHO   PF_PRT.DSK or PF.REG, you will have to modify these files accordingly.     
@ECHO  ͹
@ECHO              Press [Return] to run Print-Format, Ctrl+C to abort.            
@ECHO  ͼ
@ECHO 
@PAUSE > NUL:
@ECHO 
@ECHO Starting Print-Format...
@ECHO 
PF.EXE
